#***********************************************************************
# Name       : dlqmon.MAK                                              *
# Title      : Make file for dlqmon                                    *
# Description: dlqmon.exe the dlq monitor                              *
#***********************************************************************
# When       Who   What                                                *
# 28/02/95   SJG   Created                                             *
#***********************************************************************

#***********************************************************************
# Standard compile options.                                            *
#***********************************************************************

# /C    => compile only
# /Gd   => dynamic linking
# /Gd-  => static linking
# /Ge-  => DLL
# /Gh   => enable EXTRA profiling
# /Ls   => listing
# /Sa   => ANSI standard
# /Se   => allow all extensions
# /Ti   => generate debug info
# /Wall => all warnings
# /Kx+  => unused vars and fns

CO    = /C /Gd- /Gh /Ls /Se /Ti /Kx+ /DOS2
CODLL = /Ge-

#***********************************************************************
# Standard implib options                                              *
#***********************************************************************

# /NOI => case sensistive (necessary for C)

IO = /NOI

#***********************************************************************
# Standard link options.                                               *
#***********************************************************************

# /ALIGN:4      => 32-bit application
# /BASE:65536   => fast load
# /EXEPACK      => compress
# /DEBUG        => debug
# /MAP          => map
# /NOI          => case sensistive (necessary for C)

LO = /ALIGN:4 /BASE:65536 /EXEPACK /DEBUG /MAP /NOI /NOD

#***********************************************************************
# Make all components.                                                 *
#***********************************************************************

all : dlqmon.exe

#***********************************************************************
# Make dlqmon.exe                                                      *
#***********************************************************************

dlqmon.obj : dlqmon.c
  @echo Making $@ ...
  icc $(CO) dlqmon.c

dlqmon.exe : dlqmon.obj dlqmon.def
  @echo Making $@ ...
  link386 $(LO) @dlqmon.lnk
